Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.swing.factory
Class RichActionWidgetFactory

author:
  shemnon

Field Summary
`def` | `ACTION_ARGS`
`def` | `ICON_ARGS`
`def` | `STRING_ARGS`
`Constructor` | `actionCtor`
`Constructor` | `iconCtor`
`Class` | `klass`
`Constructor` | `stringCtor`

Constructor Summary
`RichActionWidgetFactory(Class klass)`

Method Summary
`Object` | `newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)`

Constructor Detail

### RichActionWidgetFactory

    public RichActionWidgetFactory(Class klass)

Method Detail

### newInstance

    public Object newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)